Red Hat Linux 7.1: Release Notes
-------------------------------

In questo documento vengono descritte le nuove caratteristiche di Red
Hat Linux 7.1, non disponibili al momento della stampa della documentazione.
Per informazioni più aggiornate, consultate il file delle RELEASE-NOTES
sul CD #1 di Red Hat Linux.

Modifiche dell'ultimo minuto
----------------------------
  o Il programma di installazione Oracle (versioni 8.1.7, 8.1.6 e
    forse altre) non funziona correttamente con glibc 2.2 e
    versioni superiori, poiché i file oggetto compilati sono basati
    su una versione diversa di glibc (la compatibilità binaria è assicurata
    solo per gli eseguibili e le librerie condivise tramite la conversione
    dei simboli). Potete evitare questo problema installando i pacchetti di 
    compatibilità di Red Hat Linux 6.2 (compact-egcs, compat-glibc e
    compat-libs) ed eseguendo i seguenti comandi prima di avviare il
    programma di installazione Oracle:

      export LD_ASSUME_KERNEL=2.2.5
      . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh
    
    La seconda riga esporta le variabili d'ambiente, il cui scopo è cercare
    i file header e le librerie di compatibilità per glibc 2.1.3.

  o Consigli relativi alle installazioni NFS, FTP, o HTTP: poiché
    il programma d'installazione di Red Hat Linux 7.1 è in grado di
    installare Red Hat Linux da CD-ROM multipli, se intendete supportare
    le installazioni NFS, FTP o HTTP, non è più possibile montare un solo
    CD-ROM Red Hat Linux da cui eseguire l'installazione.  
   
    È invece necessario copiare la directory Red Hat da ogni CD-ROM
    contenente Red Hat Linux 7.1 in un'unità disco:

      - Inserite il CD 1
        mount /dev/cdrom /mnt/cdrom
        cp -var /mnt/cdrom/RedHat /location/of/disk/space
        umount /mnt/cdrom

      - Inserite il CD 2
        mount /dev/cdrom /mnt/cdrom
        cp -var /mnt/cdrom/RedHat /location/of/disk/space
        umount /mnt/cdrom

    Occorre poi rendere accessibile al programma di installazione la 
    directory /location/of/disk/space (per esempio, esportandolo per le
    installazioni NFS):

      - Export /location/of/disk/space


Miglioramenti e modifiche del programma di installazione
--------------------------------------------------------

Il programma di installazione di Red Hat Linux 7.1 contiene una serie di
nuove caratteristiche. Per maggiori informazioni, consultate la Official Red
Hat Linux Installation Guide.


    o Spazio swap: il kernel 2.4 utilizza lo spazio swap in modo più
      "invasivo" rispetto al kernel 2.2. Comunque, come per le versioni
      precedenti, la dimensione ottimale per lo spazio swap dipende dai
      punti seguenti:

        - quantità di RAM installata
        - quantità di spazio su disco disponibile per lo swap
        - applicazioni in esecuzione
        - tipi di applicazione eseguiti simultaneamente

     Non esistono regole empiriche che prendano in considerazione tutti
     questi dati. Comunque per lo spazio di swap consigliamo le
     dimensioni seguenti:

       - 256 MB per i sistemi a utente singolo con meno di 128 MB di RAM
         fisica.

       - Il doppio della dimensione di RAM per i sistemi a utente singolo e
         server low-end con più di 128 MB di RAM fisica.

       - Dimensione variabile in funzione dell'ambiente per i server dedicati
         con più di 512 MB di RAM fisica.

     Sebbene sia possibile che sistemi con configurazioni e carichi
     applicativi specifici riescano a funzionare con meno (o addirittura
     senza) spazio swap, queste indicazioni dovrebbero impedire che il
     vostro sistema esaurisca lo swap. C'è un vecchio detto che si applica
     perfettamente allo spazio swap:

         "Meglio possederne e non averne bisogno, che averne bisogno e non
          possederne"

   o Spazio swap - aggiornamento: se eseguite un'installazione standard di
     Red Hat Linux 7.1, è relativamente semplice determinare la dimensione
     della partizione swap. Invece, se possedete una versione precedente
     di Red Hat Linux e desiderate effettuare un aggiornamento alla versione
     7.1, ricordatevi che la partizione di swap creata in precedenza può
     rivelarsi insufficiente.

     Il programma di installazione di Red Hat Linux 7.1 esamina lo spazio
     swap disponibile. Se risulta insufficiente, il programma configura lo
     spazio aggiuntivo sotto forma di un file swap. Il programma esegue
     questa operazione chiedendovi di selezionare una partizione in cui
     creare un file swap. Inoltre vi viene richiesta la dimensione desiderata
     per il nuovo file.

     NOTA: comunque, il programma di installazione di Red Hat Linux 7.1 non
     crea una partizione swap o un file superiore a 2 GB. Qualora i vostri
     requisiti di swap eccedano questa dimensione, tali requisiti devono
     essere impostati a installazione ultimata.

   o XFree86 4.0.3: il programma di installazione di Red Hat Linux 7.1
     comprende schermate in modalità testo con rilevazione della memoria
     video che semplificano l'installazione.

   o Configurazione del firewall: per una maggiore sicurezza è ora possibile 
     configurare un firewall come parte integrante dell'installazione del 
     sistema. Potete scegliere tra due livelli di sicurezza e determinare
     quali servizi abilitare o disabilitare per default.

     Ricordate che le impostazioni di sicurezza "media" o "alta" bloccano
     tutti i servizi basati su RPC (come NIS o NFS).

   o Installazione delle unità disco: ora sono necessarie le immagini ISO
     per l'installazione di unità disco e quindi non è più obbligatorio
     copiare e installare l'insieme delle directory. È sufficiente
     inserire le immagini ISO richieste in una directory. Durante
     l'installazione dell'unità disco, indicate al programma di installazione
     tale directory. Inoltre, poiché Red Hat pubblica le checksum MD5 per
     tutte le immagini ISO, è ora possibile garantire l'uso di un software
     ufficiale eseguendo il programma md5sum, che analizza le vostre immagini
     ISO e paragona le checksum con quelle pubblicate da Red Hat.

   o Selezione della lingua: questa opzione è stata completamente
     rivoluzionata. Infatti ora potete effettuare l'installazione in una
     lingua, ma specificarne un'altra da utilizzare a installazione
     avvenuta.

   o Installazione di classe Laptop: è disponibile una nuova classe di
     installazione per "Laptop", che abilita per default il supporto PCMCIA.
     Se il vostro computer possiede un controller PCMCIA supportato, questo
     viene rilevato automaticamente.

   o Supporto LBA32: è ora disponibile il supporto per l'opzione LBA32 in
     LILO. Ciò rende possibile l'avvio dalle partizioni in modo parziale
     completo da un cilindrosuperiore al 1024 (che costituiva una limitazione
     storica). Ricordate però che non tutte le schede madri supportano
     questa opzione, anche quando è disponibile il supporto del BIOS. Perciò
     l'opzione è disabilitata per default. Questa opzione è disponibile
     SOLO se una partizione è stata creata con fdisk e se tale partizione
     è /boot oppure / (root). La limitazione di fdisk è necessaria poiché
     con Disk Druid non è possibile creare una partizione avviabile da un
     cilindro superiore al 1024.

   o Perfezionamento di Disk Druid: ora Disk Druid può rilevare le
     inconsistenze nella tabella delle partizioni, per esempio partizioni
     che non terminano ai limiti di un cilindro. Questo avviene se
     la geometria del disco rigido viene rilevata in modo differente
     rispetto a quando l'unità è stata partizionata. In questi casi
     consigliamo di usare il programma fdisk per analizzare in modo più 
     approfondito tali inconsistenze oppure saltare interamente l'unità
     disco.

   o Configurazione grafica kickstart: Red Hat Linux 7.1 ora fornisce
     un'interfaccia grafica per la configurazione del metodo di
     installazione kickstart, agevolando così le installazioni personalizzate.

   o Modalità Rescue ottimizzata: la modalità Rescue cerca di montare i
     filesystem elencati in /etc/fstab (presumendo di trovare il filesystem 
     root). I filesystem vengono montati in /mnt/sysimage. Questo elimina
     una fase davvero confusa per gli utenti che utilizzano la modalità
     Rescue per la prima volta.

   o Nuova opzione per la configurazione dell'autenticazione: la
     configurazione dell'autenticazione comprende ora la possibilità di
     utilizzare il TLS (Transport Layer Security - Sicurezza del
     livello di trasporto) durante l'esecuzione dei lookup. Il TLS consente
    ai client LDAP di usare una connessione cifrata durante l'autenticazione.

   o Miglioramenti di vario genere relativi al programma di installazione:
     il programma di installazione esegue ora numerose verifiche aggiuntive
     per individuare problemi potenziali che in passato causavano crash
     del programma. Questo dovrebbe ridurre il numero di esperienze poco
     gratificanti per i nuovi utenti.

Miglioramenti e modifiche del sistema
-------------------------------------

Red Hat Linux 7.1 presenta numerose modifiche o nuove caratteristiche
che non riguardano esclusivamente il processo di installazione. Alcune
riguardano nuovi programmi orientati ai server, mentre altre sono relative
a nuove applicazioni o modifiche dell'ambiente desktop. Questo elenco
fornisce maggiori informazioni su tutte le nuove potenzialità del sistema
operativo Red Hat Linux 7.1.

    o Aggiornamento dei componenti base del sistema: in Red Hat Linux 7.1
      sono stati aggiornati i componenti base del sistema di seguito elencati:

       - kernel 2.4.x (con ulteriori aggiornamenti)
       - glibc 2.2.2
       - KDE 2.1.1
       - XFree86 4.0.3 con l'estensione Xft anti-distorsione
       - GCC 2.96-RH con numerose novità dalla versione 7.0

    o Miglior supporto USB: il kernel 2.4 contenuto in Red Hat Linux 7.1
      offre un supporto USB migliore rispetto alle versioni precedenti.
      Include un numero superiore di driver e un supporto per i dispositivi
      di memoria come i CD-ROM, i dispositivi "hot-pluggable" e rimovibili.
      Se un dispositivo supportato viene inserito dopo l'avvio, i driver
      necessari vengono caricati automaticamente.

    o Unità di supporto rimovibili aggiunte in modo automatico al file
      /etc/fstab: Red Hat Linux 7.1 offre ora agli utenti la possibilità di
      montare e smontare le unità di supporto rimovibili, tramite l'uso del
      programma updfstab (contenuto in kudzu, il configuratore
      hardware del processo di avvio). Il programma aggiunge e rimuove le voci
      necessarie da /etc/fstab. Ricordate che ogni inserimento gestito da
      updfstab contiene la nuova opzione "kudzu" che funziona come un gettone
      e indica che l'inserimento può essere rimosso successivamente.
      Se desiderate aggiungerlo a fstab in modo permanente, eliminate
      l'opzione "kudzu".

      I dispositivi "hot-pluggable" vengono gestiti da cardmgr, hotplug,
      updfstab e pam_console_apply. Quando il kernel notifica a hotplug o
      cardmgr l'inserimento di un nuovo dispositivo di memoria nel sistema,
      updfstab viene eseguito per aggiungere le nuove voci a fstab. 
      Successivamente updfstab esegue pam_console_apply, che utilizza le
      regole indicate in /etc/security/con-sole.perms per consentire 
      all'utente di accedere al dispositivo dalla console in uso.

      Gli utenti di GNOME che eseguono magicdev vedono comparire in modo
      automatico sul desktop le icone dei dispositivi. Il programma magicdev 
      controlla regolarmente i time-stamp di /etc/fstab e indica a gmc di
      riesaminare i dispositivi a ogni modifica di fstab. Se invece non
      eseguite magicdev, potete utilizzare l'opzione "Rescan Devices"
      del menu di gmc (compare quando fate clic con il tasto destro del mouse
      sul desktop), che ha una funzione analoga.
      
      Gli utenti di KDE potranno avere funzionalità simili.

    o Driver nuovi e aggiornati: grazie al nuovo kernel 2.4 di Red Hat Linux
      7.1 contiene molti driver nuovi o aggiornati. Le novità comprendono:

       - Driver SCSI Adaptec AIC7XXX aggiornati
       - Sottosistema IEEE1394 (FireWire(tm))
       - Ethernet Adaptec starfire quad
       - Ethernet Aironet 802.11 WiFI
       - Ethernet National Semiconductor DP83810
       - Sottosistema ATM e vari driver ATM
       - Sottosistema DECnet
       - Cyclom 2X, DEFEA e DEFPA FDDI
       - Supporto IPv6
       - NFS versione 3
       - iptables, un livello di firewall superiore
       - Maestro3 sound
       - Controller Broadcom BCM5700 PCI-X 10/100/1000BASE-T
       - Supporto controller IDE UltraDMA/66 e UltraDMA/100
       
    o Acceleratori 3D con XFree86 4.0.3: è stata aggiunta un'ampia gamma di
      schede 3DFX all'elenco di schede che supportano immagini 3D accelerate.
      Anche le schede basate su Intel i810, Matrox G200, G400, G450 (NOTA:
      sulla G450 non è supportata l'operazione a doppio monitor) e ATI Rage
      128 supportano immagini 3D accelerate. Ricordate che XFree86 4.0.3 non
      supporta ancora l'accelerazione 3D sulle schede ATI Radeon.

    o Nuovo tool di configurazione di Apache - apacheconf:
 
       - semplifica la gestione degli host virtuali in modo intelligente
       - configurato tramite la libreria dati alchemist

    o Nuovo tool di configurazione di BIND - bindconf:

       - agevola la configurazione del DNS
       - configurato tramite la libreria dati alchemist

    o Nuovo tool di configurazione della stampante - printconf:

       - filtri basati sul magicfilter di David Parson, sul sistema foomatic
         e sul database di stampa di Linux (http://linuxprinting.org).
       - aggiorna i vecchi sistemi configurati con printtool
       - configurato tramite la libreria dati alchemist
      
    o Miglioramenti alla Red Hat Network - annunciato il servizio Software
      Manager: Red Hat Network e il suo programma client Update Agent sono
      stati ampliati per questa versione di Red Hat Linux. Inoltre è stato
      annunciato un nuovo servizio: il Software Manager. Questa tecnologia è
      stata aggiornata rispetto alla versione precedente:

       - L'Update Agent ora supporta le operazioni a linea di comando.
       - È inclusa l'utility di configurazione in modalità testo.
       - La modalità grafica può essere disabilitata specificando l'opzione
         --nox della linea di comando.
       - Risoluzione più intelligente delle catene complesse di
         interdipendenze dei pacchetti.
       - Le opzioni della linea di comando --whatprovides e --solvedeps
         consentono di interrogare il database di Red Hat Network per
         visualizzare le dipendenze dei pacchetti.
       - L'opzione della linea di comando --packagedir consente di specificare
         un elenco di directory in cui vengono poi cercati i pacchetti per
         risolvere le dipendenze.
       - Gli aggiornamenti del kernel ora possono essere eseguiti 
         dall'Update Agent.

    o Le directory site-start.d di Emacs/Xemacs: Emacs e XEmacs supportano
      entrambi la directory site-start.d. I pacchetti possono ora 
      posizionare i file di avvio emacs.el nella directory corretta. Questi
      file vengono caricati all'avvio dell'editor. Si elimina così la
      necessità di modificare direttamente il file site-start.el. Le
      directory sono:

           /usr/share/emacs/site-lisp/site-start.d
           /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Nuovo tool di configurazione dell'ADSL/ISDN - internet-config: è il
      tool che sostituisce adsl-config e isdn-config. Guida i nuovi utenti
      nella configurazione dei metodi di connessione più diffusi.

    o Aggiornamento di PostgreSQL: se effettuate l'aggiornamento dalla
      versione 6.2 o precedente, i database esistenti devono essere
      sottoposti a un ciclo di svuotamento e ripristino. Il modo migliore
      per farlo è mediante pg_dumpall(1) PRIMA di effettuare
      l'aggiornamento a Red Hat Linux 7.1. Ad aggiornamento eseguito,
      consultate il file README.rpm contenuto in /usr/share/doc/postgresql*/.

      Ricordate che l'aggiornamento conserva i vecchi file binari (insieme a
      uno script di help), ma si consiglia ugualmente di eseguire lo
      svuotamento e il ripristino (dopo aver rimosso il vecchio database).

    o Aggiornamento di OpenLDAP: è stato modificato il formato di
      memorizzazione su disco usato da slapd, il binario indipendente del
      server OpenLDAP. Gli utenti che aggiornano i server LDAP da versioni
      precedenti di Red Hat Linux devono svuotare le proprie directory per
      il file LDIF utilizzando ldbmcat -n e reimportarle nel nuovo formato
      usando slapadd.

    o Modifiche del server IMAP: il server IMAP usa per default il
      supporto integrato SSL invece del supporto "tunnel" di stunnel.
      Allo stesso modo il nome del file di certificato usato da
      imapd è stato cambiato da stunnel.pem in imapd.pem. Gli utenti che
      effettuano l'aggiornamento da versioni precedenti di Red Hat Linux
      devono rinominare, copiare o creare un link simbolico al certificato
      esistente.

    o Sendmail: per default Sendmail accetta connessioni di rete solo dal
      computer locale. Se desiderate configurare Sendmail come server per
      altri client, modificate /etc/mail/sendmail.mc e cambiate le
      DAEMON_OPTIONS affinché rimangano in ascolto altri dispositivi di
      rete oppure commentate tutte le opzioni. Rigenerate /etc/sendmail.cf
      eseguendo:

           m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Ricordate che il pacchetto sendmail-cf deve essere installato.

    o Altri pacchetti rilevanti:

       - Codificatore/decodificatore audio Ogg Vorbis
       - Browser Web Mozilla
       - Pacchetti SGML e XML conformi a LSB
       - KDE 2.1 e KOffice
       - BIND 9.x con supporto DNSsec e controllo nomi remoto
       - Supporto SSL in links, slrn, OpenLDAP e pine
       - Pine 4.33
       - Editor HTML Quanta (su PowerTools)
       - Postfix ed exim (su PowerTools) comprende il supporto SSL/TLS
       - WINE (su PowerTools) può eseguire direttamente da Linux i binari .exe
         di Windows


    o Pacchetti obsoleti: i pacchetti elencati qui di seguito sono superati
      e potrebbero sparire dalla prossima versione:

       - AfterStep
       - Netscape 4.x
       - Qt 1.x
       - Librerie di compatibilità / ambiente di sviluppo KDE v1
       - elm
       - linuxconf
       - ncpfs
       - mars_nwe
       

Note:
-----

   o Il supporto PCMCIA è stato modificato notevolmente dalla versione 7.0.
     Se siete abituati al supporto PCMCIA delle versioni precedenti di
     Red Hat Linux, vi consigliamo di controllarne le specifiche.

   o Alcune JVM di Java (sia di Sun che di IBM) non funzionano con la
     nuova caratteristica "stack" mobile della versione i686 di glibc.
     Le failure sono dovute a procedure nella programmazione
     delle JVM che ora non sono valide. I distributori dei JVM stanno
     cercando attualmente di approntare le correzioni necessarie. Finché
     non sono disponibili pacchetti JVM corretti, potete "costringere"
     glibc a usare il modello "stack" obsoleto impostando la seguente
     variabile d'ambiente:

                         LD_ASSUME_KERNEL=2.2.5



Miglioramenti e modifiche della documentazione
----------------------------------------------

   o Documentazione aggiuntiva relativa al file /etc/sysconfig/vncservers:
     per via del tempo limitato le informazioni seguenti non erano
     disponibili al momento della stampa della Red Hat Linux Reference Guide.
     
     Il file /etc/sysconfig/vncservers configura l'avvio del server VNC
     (Virtual Network Computing). Il VNC è un sistema remoto che consente di
     visualizzare un ambiente desktop non solo sulle macchine dov'è in
     esecuzione, ma attraverso reti differenti (da una LAN a Internet) e
     usando un'ampia gamma di architetture.

     Il file può contenere:

    VNCSERVERS=<value> e il <value> è impostato come 1:fred per indicare che
    un server VNC deve essere avviato dall'utente fred sullo schermo :1.
    L'utente fred deve impostare una password VNC tramite vncpasswd prima di
    tentare la connessione con un server VNC remoto.

    Ricordate che quando utilizzate un server VNC, le comunicazioni tra il
    vostro computer e il server non sono cifrate e quindi l'utilizzo di
    VNC è sconsigliato su reti non fidate. Per informazioni più specifiche
    inerenti l'uso della SSH che rende sicure le comunicazioni con il VNC,
    leggete la documentazione riportata all'indirizzo 
    http://www.uk.research.att.com/vnc/sshvnc.html. Per maggiori dettagli
    relative alla SSH, consultate la Red Hat Linux Reference Guide e la
    Customization Guide.

i386 7.1
